MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024145Community[OCCT] OCCT:Modeling Algorithmspublic2013-09-05 12:012017-07-31 17:46
ReporterVitezslav Zajic 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.6.0 
Target VersionFixed in Version[OCCT] 6.9.0 
Summary0024145: OCCT fails to project a wire onto BSplineSurface using BRepAlgo_NormalProjection
DescriptionWhen projecting the first attached wire, the BRepAlgo_NormalProjection throws an exception:

restore face.brep f
restore wire1.brep w1
#throws a Standard_ConstructionError:
nproject r w1 f

When projecting the second attached wire, there is not any exception, but the result is still not built:

restore face.brep f
restore wire2.brep w2
nproject r w2 f

Finally, when projecting the third wire, everything is OK:

restore face.brep f
restore wire3.brep w3
nproject r w3 f

All the wires lie on the face and are essentially the same, only translated a little. I have also attached a simple c++ code that was used to generate the face and the wires.
Steps To ReproduceSee description above.
TagsNo tags attached.
Test case numberbugs modalg_7 bug24145_1, bug24145_2
Attached Fileszip file icon FaceAndWires.zip (2,465 bytes) 2013-09-05 12:01
? file icon face.brep (1,063 bytes) 2013-09-05 12:25
? file icon wire1.brep (414 bytes) 2013-09-05 12:25
? file icon wire2.brep (450 bytes) 2013-09-05 12:25
? file icon wire3.brep (594 bytes) 2013-09-05 12:25
cpp file icon generation.cpp (2,670 bytes) 2013-09-05 12:25

- Relationships

-  Notes
(0025462)
Vitezslav Zajic (reporter)
2013-09-05 12:45

I've just managed to generate a DRAW script that generates the shapes anew, if it helps:

pload ALL
bsplinecurve bc 2 4 0 3 0.3333 1 0.6666 1 1 3 0 0 0 1 1 0 0 1 1 1 0 1 0 1 0 1 0 0 0 1
bsplinesurf bs 2 2 0 3 1 3 2 2 0 3 1 3 0 0 0 1 1 -1 0 1 2 0 0 1 -1 1 0 1 1 1 0 1 3 1 0 1 0 2 0 1 1 3 0 1 2 2 0 1
mkedge e bc
mkface f bs
# throws Standard_ConstructionError:
nproject r e f

ttranslate e 0.01 0.01 0
# does nothing:
nproject r e f

ttranslate e 0.1 0.1 0
# projection OK:
nproject r e f
(0068665)
git (administrator)
2017-07-25 13:03

Branch CR24145 has been created by apv.

SHA-1: 940f57f4fd7dd78a2f0165383a1c6adb5f00d19f


Detailed log of new commits:

Author: apv
Date: Tue Jul 25 13:03:24 2017 +0300

    Test for 0024145: OCCT fails to project a wire onto BSplineSurface using BRepAlgo_NormalProjection
(0068666)
apv (tester)
2017-07-25 13:08

Dear BugMaster,

Problem described in issue is not reproduced on current state of OCCT.
Problem has been solved in OCCT6.9.0.

Please integrate branch CR24145 into the occt git-repository master.
(0068930)
git (administrator)
2017-07-31 17:46

Branch CR24145 has been deleted by kgv.

SHA-1: 940f57f4fd7dd78a2f0165383a1c6adb5f00d19f

- Issue History
Date Modified Username Field Change
2013-09-05 12:01 Vitezslav Zajic New Issue
2013-09-05 12:01 Vitezslav Zajic Assigned To => ifv
2013-09-05 12:01 Vitezslav Zajic File Added: FaceAndWires.zip
2013-09-05 12:25 Vitezslav Zajic File Added: face.brep
2013-09-05 12:25 Vitezslav Zajic File Added: wire1.brep
2013-09-05 12:25 Vitezslav Zajic File Added: wire2.brep
2013-09-05 12:25 Vitezslav Zajic File Added: wire3.brep
2013-09-05 12:25 Vitezslav Zajic File Added: generation.cpp
2013-09-05 12:45 Vitezslav Zajic Note Added: 0025462
2017-07-25 13:03 git Note Added: 0068665
2017-07-25 13:05 apv Test case number => bugs modalg_7 bug24145_1, bug24145_2
2017-07-25 13:06 apv Assigned To ifv => apv
2017-07-25 13:06 apv Status new => feedback
2017-07-25 13:08 apv Note Added: 0068666
2017-07-25 13:08 apv Assigned To apv => bugmaster
2017-07-25 13:08 apv Status feedback => tested
2017-07-25 13:09 apv Fixed in Version => 6.9.0
2017-07-31 11:12 bugmaster Status tested => closed
2017-07-31 11:12 bugmaster Resolution open => fixed
2017-07-31 17:46 git Note Added: 0068930


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker